All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.models.remotefileselector
Class BaseRemoteFileMetadata

    com.sas.swing.models.remotefileselector.BaseRemoteFileMetadata

All Implemented Interfaces:
  RemoteFileMetadataInterface

Direct Known Subclasses:
  IFileServiceFileMetadata, InformationServicesFileMetadata

    public class BaseRemoteFileMetadata

implements RemoteFileMetadataInterface

BaseRemoteFileMetadata defines an abstract class that implements the RemoteFileMetadataInterface.

Since:
  3.1
See Also:
  `com.sas.swing.visuals.remotefileselector.RemoteFileMetadataInterface`, `
  `

Field Summary
`protected boolean` | `drillable` whether the item can be opened (i.e. a folder)
`protected java.lang.String` | `icon` the name of the icon to associate with the item
`protected java.lang.String` | `name` the name of the item
`protected java.lang.String` | `path` the file system path that points to the item

Constructor Summary
`BaseRemoteFileMetadata(java.lang.String name, java.lang.String icon, boolean drillable, java.lang.String path)` Basic constructor used to specify the common metadata pieces.

Method Summary
`java.lang.String` | `getIcon()` Returns the icon name associated with the file.
`java.lang.String` | `getName()` Returns the file name.
`java.lang.String` | `getPath()` Returns the path associated with the file.
`boolean` | `isDrillable()` Returns whether a particular file can be drilled down on to show other levels in a file hierarchy.
`void` | `setDrillable(boolean value)` Sets whether a particular file can be drilled down on.
`void` | `setIcon(java.lang.String newIcon)` Allows an icon name to be associated with a file.
`void` | `setName(java.lang.String newName)` Sets the file name.
`void` | `setPath(java.lang.String newPath)` Sets the path associated with the file.
`java.lang.String` | `toString()` Returns a string that displays and identifies this object's properties.

Field Detail

### name

    protected java.lang.String name

  the name of the item

### icon

    protected java.lang.String icon

  the name of the icon to associate with the item

### drillable

    protected boolean drillable

  whether the item can be opened (i.e. a folder)

### path

    protected java.lang.String path

  the file system path that points to the item

Constructor Detail

### BaseRemoteFileMetadata

    public BaseRemoteFileMetadata(java.lang.String name,
                                  java.lang.String icon,
                                  boolean drillable,
                                  java.lang.String path)

  Basic constructor used to specify the common metadata pieces.

  Parameters:
    `name` - the name of the item
    `icon` - the name of the icon to associate with the item
    `drillable` - whether the item can be opened (i.e. a folder)
    `path` - the file system path that points to the item

Method Detail

### getName

    public java.lang.String getName()

  Returns the file name.

  Specified by:
    `getName` in interface `RemoteFileMetadataInterface`
  Returns:
    the file name
  See Also:
    `setName(String)`

### setName

    public void setName(java.lang.String newName)

  Sets the file name.

  Specified by:
    `setName` in interface `RemoteFileMetadataInterface`
  Parameters:
    `newName` - the file name being set
  See Also:
    `getName()`

### getIcon

    public java.lang.String getIcon()

  Returns the icon name associated with the file.

  Specified by:
    `getIcon` in interface `RemoteFileMetadataInterface`
  Returns:
    the file icon name
  See Also:
    `setIcon(String)`

### setIcon

    public void setIcon(java.lang.String newIcon)

  Allows an icon name to be associated with a file.

  Specified by:
    `setIcon` in interface `RemoteFileMetadataInterface`
  Parameters:
    `newIcon` - the icon name
  See Also:
    `getIcon()`

### isDrillable

    public boolean isDrillable()

  Returns whether a particular file can be drilled down on to show other levels in a file hierarchy.

  Specified by:
    `isDrillable` in interface `RemoteFileMetadataInterface`
  Returns:
    true if the file can be drilled down on
  See Also:
    `setDrillable(boolean)`

### setDrillable

    public void setDrillable(boolean value)

  Sets whether a particular file can be drilled down on.

  Specified by:
    `setDrillable` in interface `RemoteFileMetadataInterface`
  Parameters:
    `value` - set to true if file can be drilled down on
  See Also:
    `isDrillable()`

### getPath

    public java.lang.String getPath()

  Returns the path associated with the file.

  Specified by:
    `getPath` in interface `RemoteFileMetadataInterface`
  Returns:
    the path
  See Also:
    `setPath(String)`

### setPath

    public void setPath(java.lang.String newPath)

  Sets the path associated with the file.

  Specified by:
    `setPath` in interface `RemoteFileMetadataInterface`
  Parameters:
    `newPath` - the file path being set
  See Also:
    `getPath()`

### toString

    public java.lang.String toString()

  Returns a string that displays and identifies this object's properties.

  Specified by:
    `toString` in interface `RemoteFileMetadataInterface`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String representation of this object

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.